type: prog

niveau: intermédiaire

titre: Phrase correcte?

objectif: Vérifier la correction d'une phrase selon plusieurs critères

énoncé: |
  On souhaite vérifier si une `phrase` a une longueur qui ne dépasse pas strictement une `limite`.

  La `phrase` et la valeur `limite` sont reçues en entrée.

  De plus, on souhaite vérifier si la phrase commence pas une lettre majuscule et si elle se termine par un point.

  Lorsque toutes les conditions sont satisfaites, on produit en sortie le message `valide`, autrement le message produit sera `invalide`.

  ### Entrées

  - `phrase` (chaine de caractères)
  - `limite` (nombre entier)

  ### Sortie attendue

  message : `valide` ou `invalide` (chaine de caractères)


  ### À faire

  Compléter le code pour produire en sortie le message `valide` ou `invalide`.

  ### Exemples

  1. Phrase valide

   - Entrées :
  ```
      La maison du coin.
      20

  ```

   - Sortie attendue :

  ```
      valide

  ```

  2. Phrase invalide

   - Entrées :
  ```
      le collège est situé à st Michel
      20

  ```

   - Sortie attendue :
  ```
      invalide
  ```

ébauches:
    python: !include exec.py
    java: !include exec.java
    kotlin: !include exec.kt


rétroactions:
    positive: Bravo !
    négative: Accéder au premier caractère (index 0) de la phrase avec la méthode adéquate , et vérifier s'il est en majuscule en utilisant la méthode adéquate. Idem pour accéder au dernier caractère de la phrase, son index est la (longueur de la phrase)-1 , et le comparer avec le caractère point.

tests: !include tests.yml

auteur: Wafaa Niar Dinedane / Patrick Lafrance
licence: 2021 CC-BY-SA


uuid: b313a6f2-815e-4281-8b70-bcdba1853285
